Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IEdge

    java.lang.Object
      igeo.IEdge

    public class IEdge

extends java.lang.Object

Class of an edge of polygon mesh.

Field Summary
`java.util.ArrayList<IFace>` | `faces`
`IVertex[]` | `vertices`

Constructor Summary
`IEdge(IEdge e)`
`IEdge(IVertex v1, IVertex v2)`

Method Summary
`void` | `addFace(IFace f)`
`boolean` | `contains(IVertex v)`
`IFace[]` | `createFace(IMeshCreator creator)`
`void` | `del()`
`IEdge` | `dup()`
`boolean` | `eq(IEdge e)`
`IFace` | `face(int i)`
`IFace` | `getFace(int i)`
`IFace` | `getOtherFace(IFace f)`
`java.util.ArrayList` | `getOtherFaces(IFace f)`
`IVertex` | `getOtherVertex(IEdge edge)`
`IVertex` | `getOtherVertex(IVertex v)`
`IVec` | `getPointOnEdge(double ratio)`
`IVertex` | `getSharingVertex(IEdge edge)`
`IVertex` | `getVertex(int i)`
`boolean` | `isOnEdge(IVertex v)`
`boolean` | `isSharingVertex(IEdge edge)`
`IVec` | `normal()`
`IVec` | `normal(double param)`
`IVec` | `nrml()`
`IVec` | `nrml(double param)`
`void` | `replaceVertex(IVertex oldVertex, IVertex newVertex)`
`IVertex[]` | `subdivide(int divnum, java.util.ArrayList<IVertex> newVertexArray, java.util.ArrayList<IEdge> newEdgeArray)`
`java.lang.String` | `toString()`
`void` | `traceEdge(java.util.ArrayList<IEdge> trace, java.util.ArrayList<java.util.ArrayList<IEdge>> loops, int depth)`
`java.util.ArrayList<java.util.ArrayList<IEdge>>` | `traceEdge(int maxVertexNum)`
`IVertex` | `vertex(int i)`
`int` | `vertexNum()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vertices

    public IVertex[] vertices

### faces

    public java.util.ArrayList<IFace> faces

Constructor Detail

### IEdge

    public IEdge(IVertex v1,
                 IVertex v2)

### IEdge

    public IEdge(IEdge e)

Method Detail

### getVertex

    public IVertex getVertex(int i)

### vertex

    public IVertex vertex(int i)

### vertexNum

    public int vertexNum()

### addFace

    public void addFace(IFace f)

### getFace

    public IFace getFace(int i)

### face

    public IFace face(int i)

### dup

    public IEdge dup()

### del

    public void del()

### nrml

    public IVec nrml(double param)

### normal

    public IVec normal(double param)

### nrml

    public IVec nrml()

### normal

    public IVec normal()

### getPointOnEdge

    public IVec getPointOnEdge(double ratio)

### contains

    public boolean contains(IVertex v)

### replaceVertex

    public void replaceVertex(IVertex oldVertex,
                              IVertex newVertex)

### getOtherVertex

    public IVertex getOtherVertex(IVertex v)

### getOtherVertex

    public IVertex getOtherVertex(IEdge edge)

### getSharingVertex

    public IVertex getSharingVertex(IEdge edge)

### isSharingVertex

    public boolean isSharingVertex(IEdge edge)

### getOtherFace

    public IFace getOtherFace(IFace f)

### getOtherFaces

    public java.util.ArrayList getOtherFaces(IFace f)

### isOnEdge

    public boolean isOnEdge(IVertex v)

### traceEdge

    public java.util.ArrayList<java.util.ArrayList<IEdge>> traceEdge(int maxVertexNum)

### traceEdge

    public void traceEdge(java.util.ArrayList<IEdge> trace,
                          java.util.ArrayList<java.util.ArrayList<IEdge>> loops,
                          int depth)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### eq

    public boolean eq(IEdge e)

### createFace

    public IFace[] createFace(IMeshCreator creator)

### subdivide

    public IVertex[] subdivide(int divnum,
                               java.util.ArrayList<IVertex> newVertexArray,
                               java.util.ArrayList<IEdge> newEdgeArray)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD